Subject: [alpine-aports] [PATCH] testing/py-colorama: new aport

From: Valery Kartel <[email-masked]>
Date: Wed, 14 Dec 2016 17:50:25 +0200

https://pypi.python.org/pypi/colorama
Cross-platform colored terminal text.
---
 testing/py-colorama/APKBUILD | 47 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/py-colorama/APKBUILD

diff --git a/testing/py-colorama/APKBUILD b/testing/py-colorama/APKBUILD
new file mode 100644
index 0000000000..696aeae921
--- /dev/null
+++ b/testing/py-colorama/APKBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Valery Kartel <[email-masked]>
+# Contributor: Valery Kartel <[email-masked]>
+pkgname=py-colorama
+pkgver=0.3.7
+pkgrel=0
+_python="2 3"
+_pyname=${pkgname#py-}
+pkgdesc="Cross-platform colored terminal text"
+url="https://pypi.python.org/pypi/colorama"
+arch="noarch"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="py-setuptools"
+install=""
+subpackages=""
+source="https://files.pythonhosted.org/packages/source/${_pyname:0:1}/$_pyname/$_pyname-$pkgver.tar.gz"
+for v in $_python; do
+	makedepends="$makedepends python$v-dev"
+	subpackages="$subpackages py$v-$_pyname:package"
+done
+builddir="$srcdir"/$_pyname-$pkgver
+
+build() {
+	cd "$builddir"
+	for v in $_python; do
+		python$v setup.py build || return 1
+	done
+}
+
+package() {
+	local v=${subpkgname:2:1}
+	if [ "$v" ]; then
+		cd "$builddir"
+		pkgdesc="$pkgdesc (for python$v)"
+		depends="$depends python$v"
+		[ "$v" == "2" ] && replaces=$pkgname
+		install_if="$pkgname=$pkgver-r$pkgrel python$v"
+		python$v setup.py install --prefix=/usr --root="$subpkgdir" || return 1
+	else
+		mkdir -p "$pkgdir"
+	fi
+}
+
+md5sums="349d2b02618d3d39e5c6aede36fe3c1a  colorama-0.3.7.tar.gz"
+sha256sums="e043c8d32527607223652021ff648fbb394d5e19cba9f1a698670b338c9d782b  colorama-0.3.7.tar.gz"
+sha512sums="4d6241afbcbc82c4451911587fd6a54ab1ecb43ca113f465b6966ceb44c79f074220317c249055e28b7023b90a5015819a8048ed11bcc1feb85a2d36df15f3cf  colorama-0.3.7.tar.gz"
-- 
2.11.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---